For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI ReferenceChangelogModel Versioning
GuidesAPI ReferenceChangelogModel Versioning
    • Getting Started
    • Authentication
    • API Versioning
    • SDKs
    • Deployments
    • Error Codes
    • Async Processing
  • Endpoints
      • POSTParse File (Sync)
      • POSTParse File (Async)
      • GETGet Parse Run
      • DELDelete Parse Run
      • GETList Parse Runs
  • Webhook Events
LogoLogo
EndpointsParse

List Parse Runs

GET
/parse_runs
GET
/parse_runs
1import { ExtendClient } from "extend-ai";
2
3const client = new ExtendClient({ token: "YOUR_TOKEN" });
4await client.parseRuns.list({
5 nextPageToken: "xK9mLPqRtN3vS8wF5hB2cQ==:zWvUxYjM4nKpL7aDgE9HbTcR2mAyX3/Q+CNkfBSw1dZ="
6});
1{
2 "object": "list",
3 "data": [
4 {
5 "object": "parse_run",
6 "id": "pr_xK9mLPqRtN3vS8wF5hB2cQ",
7 "file": {
8 "object": "file",
9 "id": "file_xK9mLPqRtN3vS8wF5hB2cQ",
10 "name": "Invoices.pdf",
11 "type": "PDF",
12 "parentFileId": "file_Zk9mNP12Qw4yTv8BdR3H",
13 "metadata": {
14 "pageCount": 30,
15 "parentSplit": {
16 "id": "string",
17 "type": "Invoice",
18 "identifier": "other_2_9",
19 "startPage": 1,
20 "endPage": 10
21 }
22 },
23 "createdAt": "2024-03-21T16:45:00Z",
24 "updatedAt": "2024-03-21T16:45:00Z"
25 },
26 "status": "PENDING",
27 "failureReason": "FILE_TYPE_NOT_SUPPORTED",
28 "failureMessage": "File type not supported for parsing.",
29 "output": {
30 "chunks": [
31 {
32 "object": "chunk",
33 "type": "page",
34 "content": "This is the content of the chunk.",
35 "metadata": {
36 "pageRange": {
37 "start": 1,
38 "end": 1
39 }
40 },
41 "blocks": [
42 {
43 "object": "block",
44 "id": "string",
45 "type": "text",
46 "content": "string",
47 "details": {},
48 "metadata": {
49 "page": {
50 "number": 1,
51 "width": 1.1,
52 "height": 1.1
53 },
54 "textDirection": "ltr"
55 },
56 "polygon": [
57 {
58 "x": 10,
59 "y": 20
60 }
61 ],
62 "boundingBox": {
63 "left": 10,
64 "top": 10,
65 "right": 20,
66 "bottom": 20
67 },
68 "parentBlockId": "string",
69 "children": [
70 null
71 ]
72 }
73 ]
74 }
75 ],
76 "ocr": {
77 "words": [
78 {
79 "content": "string",
80 "boundingBox": {
81 "left": 10,
82 "top": 10,
83 "right": 20,
84 "bottom": 20
85 },
86 "confidence": 1.1,
87 "pageNumber": 1.1
88 }
89 ]
90 }
91 },
92 "outputUrl": "https://...",
93 "metrics": {
94 "processingTimeMs": 1234,
95 "pageCount": 5
96 },
97 "config": {
98 "target": "markdown",
99 "chunkingStrategy": {
100 "type": "page",
101 "options": {
102 "minCharacters": 500,
103 "maxCharacters": 10000
104 }
105 },
106 "engine": "parse_performance",
107 "engineVersion": "latest",
108 "blockOptions": {
109 "figures": {
110 "enabled": true,
111 "figureImageClippingEnabled": true,
112 "advancedChartExtractionEnabled": false
113 },
114 "tables": {
115 "targetFormat": "html",
116 "tableHeaderContinuationEnabled": false,
117 "cellBlocksEnabled": false,
118 "agentic": {
119 "enabled": false,
120 "customInstructions": "string"
121 },
122 "enabled": true
123 },
124 "text": {
125 "signatureDetectionEnabled": false,
126 "agentic": {
127 "enabled": false,
128 "customInstructions": "string"
129 }
130 },
131 "keyValue": {
132 "blankFieldFormattingEnabled": false
133 },
134 "barcodes": {
135 "imageClippingEnabled": false,
136 "readingEnabled": false
137 },
138 "formulas": {
139 "enabled": false
140 }
141 },
142 "advancedOptions": {
143 "pageRotationEnabled": true,
144 "pageRanges": [
145 {
146 "start": 1,
147 "end": 10
148 },
149 {
150 "start": 20,
151 "end": 30
152 }
153 ],
154 "excelParsingMode": "basic",
155 "excelSkipHiddenContent": false,
156 "excelUseRawCellValues": false,
157 "excelSkipCalculation": true,
158 "verticalGroupingThreshold": 1,
159 "returnOcr": {
160 "words": false
161 },
162 "alwaysConvertToPdf": false,
163 "enrichmentFormat": "xml",
164 "imageConversionQuality": "medium",
165 "formattingDetection": [
166 {
167 "type": "change_tracking"
168 }
169 ]
170 }
171 },
172 "usage": {
173 "credits": 9,
174 "totalCredits": 15,
175 "breakdown": [
176 {
177 "object": "parse_run",
178 "id": "pr_3UZSj69pYZDKHFuuX57ic",
179 "credits": 6
180 }
181 ]
182 },
183 "batchId": "bpar_Xj8mK2pL9nR4vT7qY5wZ"
184 }
185 ],
186 "nextPageToken": "xK9mLPqRtN3vS8wF5hB2cQ==:zWvUxYjM4nKpL7aDgE9HbTcR2mAyX3/Q+CNkfBSw1dZ="
187}

List parse runs, with optional filters for status, batch ID, source, and file name.

Returns a paginated list of parse runs. Use GET /parse_runs/{id} to retrieve the full result including output for a specific run.

Was this page helpful?
Previous

Extract File (Sync)

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-extend-api-version"2026-02-09"Optional
API version to use for the request. If you're using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a `400 Bad Request` or be set to a previous legacy version. See [API Versioning](https://docs.extend.ai/2026-02-09/developers/api-versioning) for more details.
x-extend-workspace-idstringOptional
The workspace ID to target. **Required** when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See [Authentication](https://docs.extend.ai/2026-02-09/developers/authentication) for details on API key scopes.

Query parameters

statusenumOptional
Filter parse runs by status.
Allowed values:
batchIdstringOptional

Filter parse runs by the batch they belong to. Use this after submitting a batch via POST /parse_runs/batch to retrieve individual run results.

Example: "bpar_Xj8mK2pL9nR4vT7qY5wZ"

sourceenumOptional

Filters parse runs by the source that created them. If not provided, runs from all sources are returned.

Note: When batchId is provided, it takes precedence and this filter is ignored.

sourceIdstringOptional
Filters runs by the source ID.
fileNameContainsstringOptional

Filters runs by the name of the file. Only returns runs where the file name contains this string.

Example: "invoice"

nextPageTokenstringOptional

The token used to fetch the page of results from a previous request. We use cursor based pagination and will return a nextPageToken in the response if there are more results.

Note that if other parameters are changed in subsequent requests, you may receive inconsistent data.

maxPageSizeintegerOptional1-1000Defaults to 10
The maximum number of results to return in the response. You may receive less than this number if there are fewer results than the maximum.

Response

Successfully retrieved parse runs
objectenum
Allowed values:
datalist of objects
nextPageTokenstring

The token used to fetch the page of results from a previous request. We use cursor based pagination and will return a nextPageToken in the response if there are more results.

Note that if other parameters are changed in subsequent requests, you may receive inconsistent data.

Errors

400
Bad Request Error
401
Unauthorized Error
402
Payment Required Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error

API version to use for the request. If you’re using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a 400 Bad Request or be set to a previous legacy version. See API Versioning for more details.

The workspace ID to target. Required when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See Authentication for details on API key scopes.